def config():
    return {
        "test_name": "test_sync",
        "tap_name": "tap-snapchat-ads",
        "type": "platform.snapchat_ads",
        "properties": {
            "start_date": "TAP_SNAPCHAT_ADS_START_DATE",
            "client_id": "TAP_SNAPCHAT_ADS_CLIENT_ID",
            "swipe_up_attribution_window": "TAP_SNAPCHAT_ADS_SWIPE_UP_ATTRIBUTION_WINDOW",
            "view_attribution_window": "TAP_SNAPCHAT_ADS_VIEW_ATTRIBUTION_WINDOW",
            "omit_empty": "TAP_SNAPCHAT_ADS_OMIT_EMPTY",
            "targeting_country_codes": "TAP_SNAPCHAT_ADS_TARGETING_COUNTRY_CODES",
        },
        "credentials": {
            "client_secret": "TAP_SNAPCHAT_ADS_CLIENT_SECRET",
            "refresh_token": "TAP_SNAPCHAT_ADS_REFRESH_TOKEN",
        },
        "bookmark": {
            "bookmark_dict": "organizations",
            "bookmark_key": "updated_at",
            "bookmark_timestamp": "2020-05-11T21:30:43.303000Z"
        },
        "streams": {
            "ad_accounts": {"id"},
            "ad_squads": {"id"},
            "ads": {"id"},
            "audience_segments": {"id"},
            "billing_centers": {"id"},
            "campaigns": {"id"},
            "creatives": {"id"},
            "funding_sources": {"id"},
            "media": {"id"},
            "members": {"id"},
            "organizations": {"id"},
            "phone_numbers": {"id"},
            "pixel_domain_stats": {"id"},
            "pixels": {"id"},
            "product_catalogs": {"id"},
            "product_sets": {"id"},
            "phone_numbers": {"id"},
            "product_catalogs": {"id"},
            "product_sets": {"id"},
            "roles": {"id"},
            "ad_account_stats_daily": {"id", "start_time"},
            "ad_account_stats_hourly": {"id", "start_time"},
            "campaign_stats_daily": {"id", "start_time"},
            "campaign_stats_hourly": {"id", "start_time"},
            "ad_squad_stats_daily": {"id", "start_time"},
            "ad_squad_stats_hourly": {"id", "start_time"},
            "ad_stats_daily": {"id", "start_time"},
            "ad_stats_hourly": {"id", "start_time"},
            "targeting_age_groups": {"id"},
            "targeting_genders": {"id"},
            "targeting_languages": {"id"},
            "targeting_advanced_demographics": {"id"},
            "targeting_connection_types": {"id"},
            "targeting_os_types": {"id"},
            "targeting_ios_versions": {"id"},
            "targeting_android_versions": {"id"},
            "targeting_carriers": {"id"},
            "targeting_device_makes": {"id"},
            "targeting_countries": {"id"},
            "targeting_regions": {"id"},
            "targeting_metros": {"id"},
            "targeting_postal_codes": {"id"},
            "targeting_interests_scls": {"id"},
            "targeting_interests_dlxs": {"id"},
            "targeting_interests_dlxc": {"id"},
            "targeting_interests_dlxp": {"id"},
            "targeting_interests_nln": {"id"},
            "targeting_interests_plc": {"id"},
            "targeting_location_categories": {"id"}
        },
        "exclude_streams": [
            "pixel_domain_stats",
            "ad_account_stats_daily",
            "ad_account_stats_hourly",
            "campaign_stats_daily",
            "campaign_stats_hourly",
            "ad_squad_stats_daily",
            "ad_squad_stats_hourly",
            "ad_stats_daily",
            "ad_stats_hourly",
            "targeting_age_groups",
            "targeting_genders",
            "targeting_languages",
            "targeting_advanced_demographics",
            "targeting_connection_types",
            "targeting_os_types",
            "targeting_ios_versions",
            "targeting_android_versions",
            "targeting_carriers",
            "targeting_device_makes",
            "targeting_countries",
            "targeting_regions",
            "targeting_metros",
            "targeting_postal_codes",
            "targeting_interests_scls",
            "targeting_interests_dlxs",
            "targeting_interests_dlxc",
            "targeting_interests_dlxp",
            "targeting_interests_nln",
            "targeting_interests_plc",
            "targeting_location_categories"
        ]
    }
